#!/usr/bin/env python
#Author: Mark Feineigle
#Create Date: 2018/04/28
#Last Modify: 2018/04/28
# deeper learning insights machine learning page 545

from sklearn import datasets
from sklearn.multiclass import OneVsRestClassifier, OneVsOneClassifier
from sklearn.svm import LinearSVC

X, y = datasets.make_classification(n_samples=10000, n_features=5)
X1, y1 = datasets.make_classification(n_samples=10000, n_features=5)

clsAll=OneVsRestClassifier(LinearSVC(random_state=0)).fit(X, y)
clsOne=OneVsOneClassifier(LinearSVC(random_state=0)).fit(X1, y1)

print("One vs all cost= %f" % clsAll.score(X,y))
print("One vs one cost= %f" % clsOne.score(X1,y1))

